<?xml version='1.0' encoding='utf-8'?>
 <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:template match="/">
     <html><head><title>Hotspots</title></head>
     <style>
       <xsl:comment>
       h1 {
         text-align:center;
         font-family:arial;
         font-size:18pt;
         color:#669966;
       }
       table {
         border-style:none;
         padding:0px;
         margin:0px;
         text-align:center;
       }
       th {
         font-family:arial;
         font-size:14pt;
         background-color:#669966;
         color:#FFFFFF;
       }

       td {
         font-family:arial;
         font-size:11pt;
         color:#669966;
         text-align:left;
       }

       a:link {
         text-decoration:none;
         color:#669966;
       }

       a:hover {
         font-weight:bold;
         text-decoration:none;
         color:#66BB66;
       }

       a:visited {
         text-decoration:none;
         color:#333333;
       }
       </xsl:comment>
     </style>
     <body>
       <h1>Pano2VR HotSpots</h1>
       <table style="width:100%" >
         <tr style="font-weight:bold">
           <th style="width:10%">ID</th>
           <th style="width:10%">SkinID</th>
           <th style="width:30%">URL</th>
           <th style="width:20%">Title</th>
           <th style="width:20%">Target</th>
         </tr>
         <xsl:call-template name="main" />
       </table>
     </body>
     </html>
   </xsl:template>

   <xsl:template name="main">
     <xsl:for-each select="/*/*/hotspots/hotspot">
       <xsl:element name="tr">
         <xsl:call-template name="hotspot" />
       </xsl:element>
     </xsl:for-each>
   </xsl:template>

   <xsl:template name="hotspot">
     <tr>
       <xsl:if test="position() mod 2 != 1">
         <xsl:attribute name="style">background-color:#EEEEEE
         </xsl:attribute>
       </xsl:if>

       <td style="height=20px">
        	<xsl:value-of select="id" />
       </td>
    	<td>
    		<xsl:value-of select="skinid"/>
    	</td>
    	<td>
    		<xsl:value-of select="url"/>
    	</td>
    	<td>
    		<xsl:value-of select="title"/>
    	</td>
    	<td>
    		<xsl:value-of select="target"/>
    	</td>
    
     </tr>
   </xsl:template>
 </xsl:stylesheet>